February 23, 2018, 04:50:31 AM
Welcome, Guest. Please login or register.

Feds Seize KickassTorrents Domains, Arrest Alleged Owner -- https://goo.gl/FRHbEJ

Author Topic: Armitage Error in backbox 3.5  (Read 2261 times)

Offline darkc0d3

  • YOU CANNOT KILL AN IDEA
  • Top Hat Member
  • Elite
  • ********
  • Posts: 660
  • Internets: +35/-0
Armitage Error in backbox 3.5
« on: July 05, 2013, 01:27:52 AM »
Hi guys i have this problem with armitage the postgresql not connect in database.
you notice someone similar problem;
''When you have the knowledge you are a king, share the knowledge and you are God''
darkc0d3

Offline Malachai

  • Top Hat Member
  • Super Elite
  • ********
  • Posts: 2807
  • Internets: +18/-7
  • #!/bin/sh Day/Night (Grey Hat)
Re: Armitage Error in backbox 3.5
« Reply #1 on: July 05, 2013, 01:49:36 AM »
Weird  I have both service running and i"m still getting the same error message.
** Dont' judge me! **

*//
  Hope that Firewall works because your SCREWED  
  //*

Offline D4rk-50ld13r

  • Top Hat Member
  • Elite
  • ********
  • Posts: 877
  • Internets: +189/-0
  • I will hack for beer.
    • http://www.ghostsec.org/
Re: Armitage Error in backbox 3.5
« Reply #2 on: July 05, 2013, 03:04:21 AM »
Yes i know of this problem, its am metasploit wrong configuration in BBX.
to fix this , delete metasploit totally , then download and install the original metasploit from it's website.
install it default in /opt directory.
open ( main menu) and modify the path of all metasploit tools " msfconsole , msfcli, msfGui , Armitage ecc...... to /usr/local/bin.
That's it , after that Metasploit will work like a charm.
Do not forget to modify the metasploit path for " SET".
If you have any tool or script that uses Metasploit , you need to modify its path to the new Metasploit location.
On BBX its /opt/backbox/msf , you need to redirect all the scripts /opt/metasploit .

Good luck
« Last Edit: July 05, 2013, 03:07:36 AM by D4rk-50ld13r »
If you sat a monkey down in front of a keyboard, the first thing typed would be
a unix command.

Offline darkc0d3

  • YOU CANNOT KILL AN IDEA
  • Top Hat Member
  • Elite
  • ********
  • Posts: 660
  • Internets: +35/-0
Re: Armitage Error in backbox 3.5
« Reply #3 on: July 05, 2013, 04:53:11 AM »
Thanks a lot buddy. i try it now :)
''When you have the knowledge you are a king, share the knowledge and you are God''
darkc0d3

Offline ZEROF

  • Top Hat Member
  • Experienced
  • ********
  • Posts: 225
  • Internets: +45/-1
    • Pentester
Re: Armitage Error in backbox 3.5
« Reply #4 on: July 08, 2013, 10:40:06 AM »
Hi,

Removing msf it's not solution. Check our wiki :

http://wiki.backbox.org/index.php/Metasploit

Armitage was update too. Run system update and upgrade before reading wiki.

Cheers !

Offline D4rk-50ld13r

  • Top Hat Member
  • Elite
  • ********
  • Posts: 877
  • Internets: +189/-0
  • I will hack for beer.
    • http://www.ghostsec.org/
Re: Armitage Error in backbox 3.5
« Reply #5 on: July 08, 2013, 03:08:22 PM »
Hi
Can you explain to me as i am a 2y old kid ! why should i use your version of Metasploit and going through all the hassle of making an account , having to remember the authentication and making all the typing just to get it to connect to the database ???!!
Why cant you just use a normal Metasploit version like all the rest of the world ???
And finally , what makes your Metasploit version so special ??

Thanks.
If you sat a monkey down in front of a keyboard, the first thing typed would be
a unix command.

Offline ZEROF

  • Top Hat Member
  • Experienced
  • ********
  • Posts: 225
  • Internets: +45/-1
    • Pentester
Re: Armitage Error in backbox 3.5
« Reply #6 on: July 08, 2013, 03:53:55 PM »
Hi D4rk-50ld13r,

Are you angry ? No need for that, be cool like all people around here. This is solution we propose to users, but we will support any ideas and for sure we are glad to see BBox system hacking instruction around net. If i get some time i will write some script to make this setting process easy.

Our version was tested many times and like that we can give support to users, after that it's up to you what and how you want to use it.

Happy hacking.
« Last Edit: July 08, 2013, 04:33:50 PM by ZEROF »

Offline D4rk-50ld13r

  • Top Hat Member
  • Elite
  • ********
  • Posts: 877
  • Internets: +189/-0
  • I will hack for beer.
    • http://www.ghostsec.org/
Re: Armitage Error in backbox 3.5
« Reply #7 on: July 08, 2013, 11:36:03 PM »
Hi
I am not angry at all , mine was just a question !
BBx always had database connection problems from day one , i dont understand why you didnt fix it all these years !
Therefore i use and suggest to everyone the proper metasploit version .
 
If you sat a monkey down in front of a keyboard, the first thing typed would be
a unix command.

Offline ZEROF

  • Top Hat Member
  • Experienced
  • ********
  • Posts: 225
  • Internets: +45/-1
    • Pentester
Re: Armitage Error in backbox 3.5
« Reply #8 on: July 09, 2013, 01:46:27 AM »
Hi D4rk-50ld13r,

I agree with you and we will look forward about this issue. From what i know we didn't make this as pre-installed option because updates, but i will do my best to add this to next BackBox version.

Thanks for your words i don't take it personally :). I know when something need to be done. 

Offline ZEROF

  • Top Hat Member
  • Experienced
  • ********
  • Posts: 225
  • Internets: +45/-1
    • Pentester
Re: Armitage Error in backbox 3.5 [SOLVED]
« Reply #9 on: July 09, 2013, 05:37:08 PM »
Hi,

I have great news for all BackBox users. First i will say 'thank you' for topic ;), second we made small system update/upgrade.

sudo apt-get update && sudo apt-get upgrade

This will fix all issues with metasploit and armitage settings. Now all database settings are automated.

Have fun !

Offline V0id

  • Enthusiast
  • **
  • Posts: 60
  • Internets: +4/-1
Re: Armitage Error in backbox 3.5
« Reply #10 on: July 11, 2013, 02:23:26 AM »
I just ran the update procedures, started Postgresql  and it worked fine for me.
Thanks for the update @Backbox

Offline darkc0d3

  • YOU CANNOT KILL AN IDEA
  • Top Hat Member
  • Elite
  • ********
  • Posts: 660
  • Internets: +35/-0
Re: Armitage Error in backbox 3.5
« Reply #11 on: July 12, 2013, 12:36:51 PM »
Thanks ZEROF  Good job.  ;)
''When you have the knowledge you are a king, share the knowledge and you are God''
darkc0d3